Package be.vlaanderen.mercurius.vsb_ewzcfin.schemas.v1

# Class CUAdmissionViewType

java.lang.Object
be.vlaanderen.mercurius.vsb_ewzcfin.schemas.v1.CUAdmissionViewType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:19:48+02:00", comments="JAXB RI v4.0.5") public class CUAdmissionViewType extends Object implements Serializable
Volledig beeld van de opname als notificatie

Java class for CUAdmissionViewType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="CUAdmissionViewType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="AcceptedAdmission" type="{http://www.mercurius.vlaanderen.be/vsb-ewzcfin/schemas/v1}AcceptedAdmissionType"/>
             <element name="BedPeriodList" type="{http://www.mercurius.vlaanderen.be/vsb-ewzcfin/schemas/v1}AcceptedBedPeriodListType"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CUAdmissionViewType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AcceptedAdmissionType`
  `getAcceptedAdmission()`
  De aanvaarde opname.
  `AcceptedBedPeriodListType`
  `getBedPeriodList()`
  Lijst van periodes waar de bewoner in een bepaald type woongelegenheid verbleef
  `void`
  `setAcceptedAdmission(AcceptedAdmissionType value)`
  Sets the value of the acceptedAdmission property.
  `void`
  `setBedPeriodList(AcceptedBedPeriodListType value)`
  Sets the value of the bedPeriodList property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CUAdmissionViewType

    public CUAdmissionViewType()

- ## Method Details

  - ### getAcceptedAdmission

    public AcceptedAdmissionType getAcceptedAdmission()
    De aanvaarde opname.
    Returns:
      possible object is `AcceptedAdmissionType`

  - ### setAcceptedAdmission

    public void setAcceptedAdmission(AcceptedAdmissionType value)
    Sets the value of the acceptedAdmission property.
    Parameters:
      `value` - allowed object is `AcceptedAdmissionType`
    See Also:
      - `getAcceptedAdmission()`

  - ### getBedPeriodList

    public AcceptedBedPeriodListType getBedPeriodList()
    Lijst van periodes waar de bewoner in een bepaald type woongelegenheid verbleef
    Returns:
      possible object is `AcceptedBedPeriodListType`

  - ### setBedPeriodList

    public void setBedPeriodList(AcceptedBedPeriodListType value)
    Sets the value of the bedPeriodList property.
    Parameters:
      `value` - allowed object is `AcceptedBedPeriodListType`
    See Also:
      - `getBedPeriodList()`